org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class GroupTestV3d0

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.GroupTestV3d0

- Direct Known Subclasses:
    GroupTestV3d0.Traversals

  Deprecated.
  As of release 3.1.0-incubating

      @Deprecated
      public abstract class GroupTestV3d0
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GroupTestV3d0.Traversals` Deprecated. As of release 3.1.0-incubating

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupTestV3d0()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_group_byXnameX()` Deprecated.
    `void` | `g_V_group_byXoutE_countX_byXnameX()` Deprecated.
    `void` | `g_V_groupXaX_byXnameX_capXaX()` Deprecated.
    `void` | `g_V_hasXlangX_group_byXlangX_byX1X_byXsizeX()` Deprecated.
    `void` | `g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX()` Deprecated.
    `void` | `g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byXcountX()` Deprecated.
    `void` | `g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byXcountX_capXaX()` Deprecated.
    `void` | `g_V_repeatXout_groupXaX_byXnameX_byXitX_byXsizeXX_timesX2X_capXaX()` Deprecated.
    `abstract Traversal<Vertex,Map<String,Collection<Vertex>>>` | `get_g_V_group_byXnameX()` Deprecated.
    `abstract Traversal<Vertex,Map<Long,Collection<String>>>` | `get_g_V_group_byXoutE_countX_byXnameX()` Deprecated.
    `abstract Traversal<Vertex,Map<String,Collection<Vertex>>>` | `get_g_V_groupXaX_byXnameX_capXaX()` Deprecated.
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_hasXlangX_group_byXlangX_byX1X_byXcountXlocalXX()` Deprecated.
    `abstract Traversal<Vertex,Map<String,Collection<String>>>` | `get_g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX()` Deprecated.
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byX1X_byXcountXlocalXX()` Deprecated.
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byX1X_byXcountXlocalXX_capXaX()` Deprecated.
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXout_groupXaX_byXnameX_by_byXcountXlocalXX_timesX2X_capXaX()` Deprecated.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupTestV3d0

          public GroupTestV3d0()

      Deprecated.

  - ### Method Detail

    - #### get_g_V_group_byXnameX

          public abstract Traversal<Vertex,Map<String,Collection<Vertex>>> get_g_V_group_byXnameX()

      Deprecated.

    - #### get_g_V_groupXaX_byXnameX_capXaX

          public abstract Traversal<Vertex,Map<String,Collection<Vertex>>> get_g_V_groupXaX_byXnameX_capXaX()

      Deprecated.

    - #### get_g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX

          public abstract Traversal<Vertex,Map<String,Collection<String>>> get_g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX()

      Deprecated.

    - #### get_g_V_hasXlangX_group_byXlangX_byX1X_byXcountXlocalXX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_hasXlangX_group_byXlangX_byX1X_byXcountXlocalXX()

      Deprecated.

    - #### get_g_V_repeatXout_groupXaX_byXnameX_by_byXcountXlocalXX_timesX2X_capXaX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_repeatXout_groupXaX_byXnameX_by_byXcountXlocalXX_timesX2X_capXaX()

      Deprecated.

    - #### get_g_V_group_byXoutE_countX_byXnameX

          public abstract Traversal<Vertex,Map<Long,Collection<String>>> get_g_V_group_byXoutE_countX_byXnameX()

      Deprecated.

    - #### get_g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byX1X_byXcountXlocalXX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byX1X_byXcountXlocalXX()

      Deprecated.

    - #### get_g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byX1X_byXcountXlocalXX_capXaX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byX1X_byXcountXlocalXX_capXaX()

      Deprecated.

    - #### g_V_group_byXnameX

          public void g_V_group_byXnameX()

      Deprecated.

    - #### g_V_groupXaX_byXnameX_capXaX

          public void g_V_groupXaX_byXnameX_capXaX()

      Deprecated.

    - #### g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX

          public void g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX()

      Deprecated.

    - #### g_V_hasXlangX_group_byXlangX_byX1X_byXsizeX

          public void g_V_hasXlangX_group_byXlangX_byX1X_byXsizeX()

      Deprecated.

    - #### g_V_repeatXout_groupXaX_byXnameX_byXitX_byXsizeXX_timesX2X_capXaX

          public void g_V_repeatXout_groupXaX_byXnameX_byXitX_byXsizeXX_timesX2X_capXaX()

      Deprecated.

    - #### g_V_group_byXoutE_countX_byXnameX

          public void g_V_group_byXoutE_countX_byXnameX()

      Deprecated.

    - #### g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byXcountX

          public void g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byXcountX()

      Deprecated.

    - #### g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byXcountX_capXaX

          public void g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byXcountX_capXaX()

      Deprecated.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.